//4738首页头部幻灯片
$(function () {
    var _btn = $('.focus_btn li');
    var _slide = $('.focus_con li'); // 切换 元素集合
    var _hover = 'on'
    _btn.eq(0).addClass(_hover);
    _slide.eq(0).css('z-index', '1'); // 初始化 第一个显示.
    autoroll(); // 自动滚动 
    hookThumb(); // 鼠标悬停
    var offset = 3000; //轮换时间
    var i = -1; //第i+1个tab开始
    var timer = null;

    function autoroll() {
        n = _btn.length - 1;
        i++;
        if (i > n) {
            i = 0;
        }
        slide(i);
        timer = setTimeout(autoroll, offset);
    }

    function slide(i) {
        _btn.eq(i).addClass(_hover).siblings().removeClass(_hover);
        _slide.eq(i).fadeIn("200").siblings().fadeOut("200"); //淡出淡入
    }

    function hookThumb() {
        _btn.hover(function () {
            if (timer) {
                clearTimeout(timer);
                i = $(this).prevAll().length;
                slide(i);
            }
        }, function () {
            timer = setTimeout(autoroll, offset);
            this.blur();
            return false;
        });
    };
});
